PUPPETDB(8)

NAME
puppetdb - Puppet data warehouse server

SYNOPSIS
puppetdb command [ARGS]

DESCRIPTION
PuppetDB collects data generated by Puppet. It enables advanced Puppet features like exported resources, and can be the foundation for other applications that use Puppet’s data.

puppetdb is a command line interface to PuppetDB, offering some administrative functions.

SUPPORTED COMMANDS
The puppetdb program supports the following commands:

export
    Export PuppetDB data and save them to a tarball.

import
    Load PuppetDB data from a tarball created using puppetdb export.

version
    Display PuppetDB version information.

For the arguments supported by each command, run puppetdb command --help

SEE ALSO
puppet(8)

AUTHOR
PuppetDB was written by Puppet Inc. This manpage was written by Apollon Oikonomopoulos <apoikos@debian.org> for the Debian project, but may be used by others.